<?php
/**
 * 
 */
namespace Copilot\Client;
/**
 * A video item that contains a link to embed the video on an HTML page
 * @author M.Fischboeck
 * @since 15.28
 *
 */
class Video {
	
	/**
	 * @internal private
	 * @var object Internal data structure
	 */
	private $_data;
	
	/**
	 * Internal contructor. Do not use!
	 * @param object $video The data as retrieved from the API
	 * @internal
	 */
	public function __construct($video) {
		$this->_data = $video;
	}
	
	/**
	 * Returns the name of the video
	 * @return string the name of the video
	 */
	public function getName() {
		return $this->_data->name;
	}
	
	/**
	 * Returns a HTML code in order to embed the video
	 * @return string The HTML code to embed the video
	 */
	public function getEmbedCode() {
		return $this->_data->embedCode;
	}
}